NEWUSERS(8)

NOME
newusers - aggiorna e crea nuovi utenti in blocco

SINOSSI

newusers [options] [file]

DESCRIZIONE

The newusers command reads a file (or the standard input by default) and uses this information to update a set of existing users or to create new users. Each line is in the same format as the standard password file (see passwd(5)) with the exceptions explained below:

pw_name:pw_passwd:pw_uid:pw_gid:pw_gecos:pw_dir:pw_shell

pw_name
    Il nome dell'utente.

    It can be the name of a new user or the name of an existing user (or a user created before by newusers). In case of an existing user, the user's information will be changed, otherwise a new user will be created.

pw_passwd
    Questo campo verrà cifrato e utilizzato come nuovo valore per la password cifrata.

pw_uid
    Definisce l'UID dell'utente.

    If the field is empty, a new (unused) UID will be defined automatically by newusers.

    Se questo campo contiene un numero, verrà utilizzato come UID.

    If this field contains the name of an existing user (or the name of a user created before by newusers), the UID of the specified user will be used.

    Se viene cambiato l'UID di un utente esistente, la proprietà dei file di proprietà dell'utente stesso andrà cambiata manualmente.

pw_gid
    Definisce il l'ID del gruppo primario dell'utente.

    If this field contains the name of an existing group (or a group created before by newusers), the GID of this group will be used as the primary group ID for the user.

    Se questo campo è numerico, questo numero verrà utilizzato come ID del gruppo primario dell'utente. Se non esiste nessun gruppo con quel GID, ne viene creato uno con il nome dell'utente e il GID specificato.

    If this field is empty, a new group will be created with the name of the user and a GID will be automatically defined by newusers to be used as the primary group ID for the user and as the GID for the new group.

    If this field contains the name of a group which does not exist (and was not created before by newusers), a new group will be created with the specified name and a GID will be automatically defined by newusers to be used as the primary group ID for the user and GID for the new group.

pw_gecos
    Questo campo viene copiato nel campo GECOS dell'utente.

pw_dir
    Questo campo è utilizzato per impostare la directory home dell'utente.

    If this field does not specify an existing directory, the specified directory is created, with ownership set to the user being created or updated and its primary group. Note that newusers does not create parent directories of the new user's home directory. The newusers command will fail to create the home directory if the parent directories do not exist, and will send a message to stderr informing the user of the failure. The newusers command will not halt or return a failure to the calling shell if it fails to create the home directory, it will continue to process the batch of new users specified.

    If the home directory of an existing user is changed, newusers does not move or copy the content of the old directory to the new location. This should be done manually.

pw_shell
    Questo campo definisce la shell dell'utente. Su questo campo non viene fatto nessun controllo.

newusers first tries to create or change all the specified users, and then write these changes to the user or group databases. If an error occurs (except in the final writes to the databases), no changes are committed to the databases.

Questo comando è appositamente pensato per grossi sistemi nei quali molti account sono aggiornati allo stesso tempo.

OPZIONI

The options which apply to the newusers command are:

--badname
    Allow names that do not conform to standards.

-c, --crypt-method
    Utilizza il metodo specificato per cifrare le password.

    I metodi disponibili sono DES, MD5, NONE e SHA256 o SHA512 se la propria libc lo consente.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-r, --system
    Crea un account di sistema.

    System users will be created with no aging information in /etc/shadow, and their numeric identifiers are chosen in the SYS_UID_MIN-SYS_UID_MAX range, defined in login.defs, instead of UID_MIN-UID_MAX (and their GID counterparts for the creation of groups).

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-s, --sha-rounds
    Usa il numero specificato di cicli per cifrare la password.

    You can only use this option with crypt method: SHA256 SHA512

    By default, the number of rounds for SHA256 or SHA512 is defined by the SHA_CRYPT_MIN_ROUNDS and SHA_CRYPT_MAX_ROUNDS variables in /etc/login.defs.

    A minimal value of 1000 and a maximal value of 999,999,999 will be enforced for SHA256 and SHA512. The default is 5000.

AVVISI/CAVEAT

Il file di input deve essere protetto poiché contiene password non cifrate.

Ci si deve accertare che le password e il metodo di cifratura rispettino le norme delle password del sistema.

CONFIGURAZIONE

The following configuration variables in /etc/login.defs change the behavior of this tool:

FILE

/etc/passwd
    Informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account utente.

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    Informazioni sicure sugli account di gruppo.

/etc/login.defs
    Configurazione del pacchetto password shadow

/etc/subgid
    Per user subordinate group IDs.

/etc/subuid
    Per user subordinate user IDs.

VEDERE ANCHE

login.defs(5), passwd(1), subgid(5), subuid(5), useradd(8).